# cargo_const.h File Reference

Table of all default cargo types. More...

Go to the source code of this file.

## Defines
#define | MK(bt, label, c, e, f, g, h, fr, te, ks1, ks2, ks3, ks4, ks5, l, m) {bt, label, c, c, e, f, {g, h}, fr, te, 0, 0, ks1, ks2, ks3, ks4, ks5, l, m, NULL, NULL, 0}
| Construction macro for a CargoSpec structure.
## Variables
static const CargoSpec | _default_cargo []
| Cargo types available by default.
static const CargoLabel | _default_climate_cargo [NUM_LANDSCAPE][12]
| Table of cargo types available in each climate, by default.

## Detailed Description

Table of all default cargo types.

Definition in file cargo_const.h.

## Define Documentation

#define MK | ( | bt,
|  | label,
|  | c,
|  | e,
|  | f,
|  | g,
|  | h,
|  | fr,
|  | te,
|  | ks1,
|  | ks2,
|  | ks3,
|  | ks4,
|  | ks5,
|  | l,
|  | m |  | ) | {bt, label, c, c, e, f, {g, h}, fr, te, 0, 0, ks1, ks2, ks3, ks4, ks5, l, m, NULL, NULL, 0}

Construction macro for a CargoSpec structure.

Definition at line 13 of file cargo_const.h.

## Variable Documentation

const CargoSpec _default_cargo[]`[static]`

Cargo types available by default.

Definition at line 16 of file cargo_const.h.

Referenced by SetupCargoForClimate().

const CargoLabel _default_climate_cargo[NUM_LANDSCAPE][12]`[static]`

Initial value:

     {
      { 'PASS', 'COAL', 'MAIL', 'OIL_', 'LVST', 'GOOD', 'GRAI', 'WOOD', 'IORE', 'STEL', 'VALU',     33, },
      { 'PASS', 'COAL', 'MAIL', 'OIL_', 'LVST', 'GOOD', 'WHEA', 'WOOD',     34, 'PAPR', 'GOLD', 'FOOD', },
      { 'PASS', 'RUBR', 'MAIL',      4, 'FRUT', 'GOOD', 'MAIZ',     11, 'CORE', 'WATR', 'DIAM', 'FOOD', },
      { 'PASS', 'SUGR', 'MAIL', 'TOYS', 'BATT', 'SWET', 'TOFF', 'COLA', 'CTCD', 'BUBL', 'PLST', 'FZDR', },
    }

Table of cargo types available in each climate, by default.

Definition at line 167 of file cargo_const.h.

Referenced by SetupCargoForClimate().